      subroutine SetXDVar()
      character(len=255) :: value, directory
      character(len=255) :: XD_DATADIR,XD_TCLDIR,TCL_LIBRARY
      character          :: dos,unix
      integer            :: i,j,SetWgxEnv

      dos  = char(92)  ! "\"
      unix = char(47)  ! "/"

C-- this Fortran intrinsic obtains the full path name of the executing 
C   process      
      call GET_COMMAND_ARGUMENT(1,directory)
      
      call lcase@(directory)
      j = LEN_TRIM(directory)
      do i=j,1,-1
        if(directory(i:i) == dos) exit
      enddo
      if(index(directory,'\bin\') == 0) return
      directory(i+1:) = ' '      
      i = LEN_TRIM(directory)
      directory(i+1:) = 'tcl8.3'
      TCL_LIBRARY = directory
      directory(i-3:) = 'lib\'
      i = LEN_TRIM(directory) 
      XD_DATADIR = directory(1:i)//'xd'
      XD_TCLDIR  = directory(1:i)//'xdgraph'
      do i=1,255
        if(XD_DATADIR(i:i) == dos) XD_DATADIR(i:i) = unix
        if(XD_TCLDIR(i:i)  == dos) XD_TCLDIR(i:i)  = unix
      enddo
      i = GET_ENVIRONMENT_VARIABLE('XD_DATADIR',value)
      if(value == ' ') i = SetWgxEnv('XD_DATADIR',XD_DATADIR)
      i = GET_ENVIRONMENT_VARIABLE('XD_TCLDIR',value)
      if(value == ' ') i = SetWgxEnv('XD_TCLDIR',XD_TCLDIR)                      
      i = GET_ENVIRONMENT_VARIABLE('TCL_LIBRARY',value)
      if(value == ' ') i = SetWgxEnv('TCL_LIBRARY',TCL_LIBRARY)        

      end
C
C----------------------------------------------------------------------C
C
      integer function SetWgxEnv(variable, value)
C-- this function sets the environment variable for current process only
C   i.e it needs to be called every time an XD program is started

      STDCALL SETENVIRONMENTVARIABLE 'SetEnvironmentVariableA' (STRING, &
     &STRING):LOGICAL*4
      character(len=*) :: variable, value
      logical          :: f1
 
      f1 = SETENVIRONMENTVARIABLE(variable, value)
      
      SetWgxEnv = 1
      if(f1) SetWgxEnv = 0
      end function SetWgxEnv
