@echo off
if "%1"=="" goto fault
if exist compile.lst del compile.lst

set SRC=%1
set FTN=gfortran
set CC=gcc
set FFLAGS=-I/.. -fno-backslash -w -O2  -c
set CFLAGS=-ansi -DPOSIX -I/progra~1/gfortran/include -O2 -c
set LIBFXD=%SRC%\lib\libFxd.a
set LIBCXD=%SRC%\lib\libCxd.a
set LIBCIFTBX=%SRC%\lib\libCiftbx.a
set LIB4TOPXD=%SRC%\lib\lib4topxd.a

echo Compiling XD program suite in source directory %SRC%
cd %SRC%\ciftbx\src
call makefile_gf.bat %SRC%
cd %SRC%\libxd\src
call makefile_gf.bat %SRC% 
cd %SRC%\xdlsm\src
call makefile_gf.bat %SRC% 
cd %SRC%\master\src
call makefile_gf.bat %SRC%
cd %SRC%\xdfour\src
call makefile_gf.bat %SRC% 
cd %SRC%\xdhkl\src
call makefile_gf.bat %SRC% 
cd %SRC%\xdgeom\src
call makefile_gf.bat %SRC% 
cd %SRC%\xdprop\src
call makefile_gf.bat %SRC%   
cd %SRC%\xdfft\src
call makefile_gf.bat %SRC%   
cd %SRC%\topxd\src
call makefile_gf.bat %SRC%  
cd %SRC%\topxd\util
call makefile_gf.bat %SRC%  
:endmake
cd %SRC%
rem echo.
rem echo Copying system files ....
rem copy %SRC%\master\data\* %SRC%\lib\xd  > nul
goto exit
:fault
echo.
echo  Syntax :  xdmake "<root directory>"
echo  Please give XD root directory  e.g. xdmake \xd_exp4.16
:exit
set SRC=
set FTN=
set CC=
set FFLAGS=
set CFLAGS=
set LIBFXD=
set LIBCXD=
set LIBCIFTBX=
set LIB4TOPXD=

