@echo off
if "%1"=="" goto fault
if exist compile.lst del compile.lst
if "%2"=="/windows" goto next1
echo.
echo Compiling 64 bit console version of XD
echo.
goto next2
:next1
echo.
echo Compiling 64 bit GUI version of XD
echo.
:next2
set SRC=%1
set WINDOWS=%2
set FTN=ftn95
set CC=scc
set FFLAGS=/silent/zeroise/64
set CFLAGS=/silent/ansi_c/64/define WIN32
cd %SRC%\ciftbx\src
call makefile64 %SRC% %WINDOWS%
cd %SRC%\libxd\src
call makefile64 %SRC% %WINDOWS%
cd %SRC%\master\src
call makefile64 %SRC% %WINDOWS%
cd %SRC%\xdfour\src
call makefile64 %SRC% %WINDOWS%
cd %SRC%\xdhkl\src
call makefile64 %SRC% %WINDOWS%
cd %SRC%\xdsfr\src
call makefile64 %SRC% %WINDOWS%
cd %SRC%\xdgeom\src
call makefile64 %SRC% %WINDOWS%
cd %SRC%\xdlsm\src
call makefile64 %SRC% %WINDOWS%
cd %SRC%\xdprop\src
call makefile64 %SRC% %WINDOWS%  
cd %SRC%\xdfft\src
call makefile64 %SRC% %WINDOWS%  
cd %SRC%\topxd\src
call makefile64 %SRC% %WINDOWS% 
cd %SRC%\topxd\util
call makefile64 %SRC% %WINDOWS% 
cd %SRC%\xdini\src
call makefile64 %SRC% %WINDOWS%
:endmake

cd %SRC%
rem echo.
rem echo Copying system files ....
rem copy %SRC%\master\data\* %SRC%\lib\xd  > nul
if "%2"=="/windows" goto next3
echo.
echo Moving executables to \xd\bin64 ...
move bin64\*.exe \xd\bin64  > nul 
goto exit
:next3
echo.
echo Moving executables to \xdwin\bin64 ...
move bin64\*.exe \xdwin\bin64  > nul
goto exit
:fault
echo.
echo  Syntax :  xdmake "<root directory>"
echo  Please give XD root directory  e.g. xdmake \xd_exp4.10
:exit
cd %SRC%
echo.
echo Resetting environment variables..
set SRC=
set WINDOWS=
set FTN=
set CC=
set FFLAGS=
set CFLAGS=