@echo off
if "%1"=="" goto fault
if exist compile.lst del compile.lst
if "%2"=="/windows" goto next1
echo.
echo  Compiling console version of XD
echo.
goto next2
:next1
echo.
echo  Compiling GUI version of XD
echo.
:next2
set SRC=%1
set WINDOWS=%2
set FTN=ftn95
set CC=scc
set FFLAGS=/silent/zeroise
set CFLAGS=/silent/ansi_c/define WIN32
set LIBFXD=%SRC%\lib\libxd.lib
set LIBCXD=%SRC%\lib\libcxd.lib
set LIBCIFTBX=%SRC%\lib\ciftbx.lib
set LIB4TOPXD=%SRC%\lib\lib4topxd.lib
cd %SRC%\ciftbx\src
call makefile %SRC% %WINDOWS%
cd %SRC%\libxd\src
call makefile %SRC% %WINDOWS%
cd %SRC%\master\src
call makefile %SRC% %WINDOWS%
cd %SRC%\xdfour\src
call makefile %SRC% %WINDOWS%
cd %SRC%\xdhkl\src
call makefile %SRC% %WINDOWS%
cd %SRC%\xdsfr\src
call makefile %SRC% %WINDOWS%
cd %SRC%\xdgeom\src
call makefile %SRC% %WINDOWS%
cd %SRC%\xdlsm\src
call makefile %SRC% %WINDOWS%
cd %SRC%\xdprop\src
call makefile %SRC% %WINDOWS%  
cd %SRC%\xdfft\src
call makefile %SRC% %WINDOWS%  
cd %SRC%\topxd\src
call makefile %SRC% %WINDOWS% 
cd %SRC%\topxd\util
call makefile %SRC% %WINDOWS% 
cd %SRC%\xdini\src
call makefile %SRC% %WINDOWS%
cd %SRC%\xdgraph\src
call makefile %SRC% %WINDOWS%
:endmake
cd %SRC%
if "%2"=="/windows" goto next3
echo.
echo  Moving executables to \xd\bin ...
move bin\*.exe \xd\bin    > nul
echo  Copying system files to \xd\lib\xd
copy %SRC%\master\data\* \xd\lib\xd  > nul
goto next4
:next3
echo.
echo  Moving executables to \xdwin\bin ...
move bin\*.exe \xdwin\bin  >nul
echo  Copying system files to \xdwin\lib\xd
copy %SRC%\master\data\* \xdwin\lib\xd  > nul
goto next4
:fault
echo.
echo  Syntax :  xdmake "<root directory>"
echo  Please give XD root directory  e.g. xdmake \rootdir
:next4
echo.
echo  Resetting the environment variables...
set SRC=
set WINDOWS=
set FTN=
set CC=
set FFLAGS=
set CFLAGS=
set LIBFXD=
set LIBCXD=
set LIBCIFTBX=
set LIB4TOPXD=